
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"

begin

wks_type="png"
wks_type_at_wkWidth = 2500
wks_type_at_wkHeight = 2500



wks=gsn_open_wks("pdf","Panel_ws_ctrl")

plot = new(2,graphic)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  res1 = True                                    ; plot mods desired

  res1@gsnYRefLine = 0.0
  res1@tiYAxisOn = True
  res1@tiYAxisString = "w* [mm s~S2~-1  ]"
  res1@tiYAxisPosition = "Center"
  res1@tiYAxisFont = "21"
  res1@tmYLLabelFont ="21"
  res1@tmXBLabelFont ="21"
  res1@xyMonoLineThickness = True
  res1@xyLineThicknessF = "3.0"
  res1@pmLegendDisplayMode    = "Always"   ; Display a legend.
  res1@pmLegendWidthF         = 0.2        ; Make it smaller
  res1@pmLegendHeightF        = 0.1        ; Make it smaller
  res1@pmLegendOrthogonalPosF = -0.32      ; Move into to plot
  res1@pmLegendParallelPosF   =  0.5      ; Move to right
  res1@lgPerimOn              = False      ; No legend perimeter.
  res1@lgLabelFontHeightF     = 0.02
  res1@lgLabelFont     = 21
  res1@xyExplicitLabels = (/"1PCT","CTRL"/)
   
filename2="jnew_57_echam6_echam_1941-1950_tem1_short2_ws_mm_74_timmean.nc"
filename1="jnew_58_echam6_echam_1940-1949_tem1_short2_ws_mm_74_timmean.nc"

f1=addfile(filename1,"r")
ws1=f1->ws ;(time,lev,lat,lon)
ws1sm=ws1*1000.0

f2=addfile(filename2,"r")
ws2=f2->ws ;(time,lev,lat,lon)
ws2sm=ws2*1000.0

w = new((/2,dimsizes(ws1&lat)/),double)
w(0,:)=ws1sm(0,0,:,0)
w(1,:)=ws2sm(0,0,:,0)


plot(0)  = gsn_csm_xy (wks,ws1&lat,w,res1) ; create plot



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  res2 = True                                    ; plot mods desired

  res2@tiYAxisOn = True
  res2@tiYAxisFont = "21"
  res2@tmYLLabelFont ="21"
  res2@tmXBLabelFont ="21"
  res2@xyMonoLineThickness = True
  res2@xyLineThicknessF = "3.0"
  res2@tiYAxisFontHeightF = 0.025 ;default: 0.025
  res2@tmYLPrecision = "4"  
  res2@tmYLLabelsOn         = False   ; Turn off left labels
  res2@tmYRLabelsOn         = True    ; Turn on right labels
  res2@tiYAxisString = "Tropical upward mass flux [10~S2~10   kg s~S2~-1  ]"
  res2@tiYAxisSide = "Right"
  res2@tiYAxisAngleF = "-90"
  res2@tmYLPrecision = "3"
  res2@tiXAxisString = "Simulated years"
  res2@tiXAxisFont = "21"
    
Data2= readAsciiTable("ws_1PCT_maskposT60_100.txt",2,"float",1)
X=Data2(:,0)
Y=Data2(:,1)
plot(1)  = gsn_csm_xy (wks,X,Y,res2) ; create plot



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


 

res3=True
res3@gsnPanelDebug = True
res3@gsnPanelXF = (/0.1,0.52/)
res3@gsnPanelFigureStrings = (/"a","b"/)
res3@gsnPanelFigureStringsPerimOn = False
res3@gsnPanelFigureStringsFont = "21"
res3@amJust = "TopRight"



gsn_panel(wks,plot,(/1,2/),res3)


frame(wks)

end
