
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"

begin

wks_type="png"
wks_type@wkWidth = 6000
wks_type@wkHeight = 6000




wks=gsn_open_wks("pdf","Panel_abs_15_noRF_6")

plot = new(8,graphic)     

  resL = True                                    
  resL@tiYAxisOn = True
  resL@tiYAxisFont = "21"
  resL@tmYLLabelFont ="21"
  resL@tmXBLabelFont ="21"
  resL@xyMonoLineThickness = True
  resL@xyLineThicknessF = "3.0"
  resL@xyDashPatterns    = 1                      ; solid line  
  resL@xyMarkLineModes   = (/"Markers","Lines"/)

  
  resR = True                                    
  resR@tiYAxisOn = True
  resR@tiYAxisFont = "21"
  resR@tmYLLabelFont ="21"
  resR@tmXBLabelFont ="21"
  resR@xyMonoLineThickness = True
  resR@xyLineThicknessF = "3.0"
  resR@tmYLLabelsOn         = False   ; Turn off left labels
  resR@tmYRLabelsOn         = True    ; Turn on right labels
  resR@tiYAxisSide = "Right"
  resR@tiYAxisAngleF = "-90"  
  resR@xyMarkLineMode    = "Lines" 

  
  Txres=True
  Txres@txFont = "21"
  Txres@txFontHeightF = 0.03
  
  
  resA=True
  resA@gsnXYFillColors = "Grey"
  resA@xyLineColor     = -1   


;;;;files for T functions  
DataF    =  readAsciiTable("TRegFct_NCL_100.txt",6,"float",1) 
DataFmin =  readAsciiTable("TRegFct_NCL_min_100.txt",6,"float",1) 
DataFmax =  readAsciiTable("TRegFct_NCL_max_100.txt",6,"float",1) 

;;;;files for T regressions range
DataRmin = readAsciiTable("TRegMin_100.txt",7,"float",1)
DataRmax = readAsciiTable("TRegMax_100.txt",7,"float",1)
AreaRX = DataRmin(:,1)

;;;;;;;;;;;;;;;;;;;;
;;;;;delta N2O sink
  resL@tiYAxisString     = "Change in N~B1~2 O sink [Tg N yr~S2~-1  ]"
  resL@tmYLPrecision     = "3"  
  resL@trYMaxF = 2.5


Data11 = readAsciiTable("dN2Osink_dT_1PCT_100.txt",3,"float",1)
X11=Data11(:,1)                                          ; (:,1) alle Zeilen, also :, zweite Spalte, also 1            
Y11=Data11(:,2)
R11= regline(X11,Y11)
;print(R1)
Z11   = new ( (/2,99/), typeof(Data11)) ;
Z11(0,:)=Y11
Z11(1,:)=R11*(X11-R11@xave) + R11@yave


plot(0)  = gsn_csm_xy (wks,X11,Z11,resL) ; create plot
dum = gsn_add_text(wks,plot(0),"y="+R11+"x",2,-0.05,Txres) 



;;;;;;;;;;;;;
;;;;;N2O sink
  resR@tiYAxisString     = "N~B1~2 O sink [Tg N yr~S2~-1  ]"
  resR@tmYLPrecision     = "3" 
  resR@trYMaxF = 12.5
  resR@tmYLMode = "Explicit"
  resR@tmYLValues = (/10.0,10.5,11.0,11.5,12.0,12.5/)
  resR@tmYLLabels = "" + resR@tmYLValues
  resR@tmYLMinorValues =(/10.1,10.2,10.3,10.4,10.6,10.7,10.8,10.9,11.1,11.2,11.3,11.4,11.6,11.7,11.8,11.9,12.1,12.2,12.3,12.4/) 
  resR@tmYLMinorOn = True

  
Data2 = readAsciiTable("N2Osink_1PCT_100.txt",2,"float",1)
X2=Data2(:,0)                                                                        ;time
Y2=Data2(:,1)      
;print(Y2)                                                                  ;values
Z2=new ( (/2,100/),"float" )
Z2(0,:)=Y2                                                                         
Z2(1,:)=DataF(:,1)                                                                            ;values calculated from temperature increase
;plot(1)  = gsn_csm_xy (wks,X2,Z2,resR)                ; create line plot  
plot(1)  = gsn_csm_xy (wks,X2,Y2,resR)      



Area2=new ( (/2,100/),"float" )
Area2(0,:)=DataFmin(:,1)
Area2(1,:)=DataFmax(:,1)
 
Areaplot = gsn_csm_xy (wks,X2,Area2(0:1,:),resA)

overlay(plot(1),Areaplot)



;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;delta N2O burden
  resL@tiYAxisString     = "Change in N~B1~2 O burden [Tg N]"
  resL@tmYLPrecision     = "3"  
  resL@tmYLMode = "Automatic" 
  delete(resL@trYMaxF)

Data12 = readAsciiTable("dN2Oburden_dT_1PCT_100.txt",3,"float",1)
X12=Data12(:,1)                                          ; (:,1) alle Zeilen, also :, zweite Spalte, also 1            
Y12=Data12(:,2)
;print(Y1)
R12= regline(X12,Y12)
;print(R1)
Z12   = new ( (/2,99/), typeof(Data12)) ;
Z12(0,:)=Y12
Z12(1,:)=R12*(X12-R12@xave) + R12@yave

plot(2)  = gsn_csm_xy (wks,X12,Z12,resL) ; create plot
dum = gsn_add_text(wks,plot(2),"y="+R12+"x",0.5,-60,Txres) 


;;;;;;;;;;;;;;;;;;;
;;;;;N2O burden
  resR@tiYAxisString     = "N~B1~2 O burden [Tg N]"
  resR@tmYLPrecision     = "3" 
  delete(resR@trYMaxF)
  delete(resR@trYMinF)
  resR@tmYLMode = "Automatic"
  
Data2 = readAsciiTable("N2Oburden_1PCT_100.txt",2,"float",1)
X2=Data2(:,0)                                                                        ;time
Y2=Data2(:,1)      
;print(Y2)                                                                  ;values
Z2=new ( (/2,100/),"float" )
Z2(0,:)=Y2                                                                         
Z2(1,:)=DataF(:,2)                                                                            ;values calculated from temperature increase
;plot(3)  = gsn_csm_xy (wks,X2,Z2,resR)                ; create line plot  
plot(3)  = gsn_csm_xy (wks,X2,Y2,resR)            

Area4=new ( (/2,100/),"float" )
Area4(0,:)=DataFmin(:,2)
Area4(1,:)=DataFmax(:,2)
 
Areaplot = gsn_csm_xy (wks,X2,Area4(0:1,:),resA)

overlay(plot(3),Areaplot)




;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;delta N2O lifetime
  resL@tiYAxisString     = "Change in N~B1~2 O lifetime [years]"
  resL@tmYLPrecision     = "3"  
  

Data13 = readAsciiTable("dN2Olifetime_dT_1PCT_100.txt",3,"float",1)
X13=Data13(:,1)                                          ; (:,1) alle Zeilen, also :, zweite Spalte, also 1            
Y13=Data13(:,2)
;print(Y1)
R13= regline(X13,Y13)
;print(R1)
Z13   = new ( (/2,99/), typeof(Data13)) ;
Z13(0,:)=Y13
Z13(1,:)=R13*(X13-R13@xave) + R13@yave

plot(4)  = gsn_csm_xy (wks,X13,Z13,resL) ; create plot
dum = gsn_add_text(wks,plot(4),"y="+R13+"x",0.5,-25,Txres) 


;;;;;;;;;;;;;;;;;;;;;;;
;;;;;N2O lifetime
  resR@tiYAxisString     = "N~B1~2 O lifetime [years]"
  resR@tmYLPrecision     = "3" 
  resR@trYMinF = 100
  resR@trYMaxF = 135
  
Data2 = readAsciiTable("N2Olifetime_1PCT_100.txt",2,"float",1)
X2=Data2(:,0)                                                                        ;time
Y2=Data2(:,1)      


Z2=new ( (/2,100/),"float" )
Z2(0,:)=Y2                                                                         
Z2(1,:)=DataF(:,3)                                                                            ;values calculated from temperature increase
plot(5)  = gsn_csm_xy (wks,X2,Y2,resR)                ; create line plot

  

Area6=new ( (/2,100/),"float" )
Area6(0,:)=DataFmin(:,3)
Area6(1,:)=DataFmax(:,3)
 
Areaplot = gsn_csm_xy (wks,X2,Area6(0:1,:),resA)

overlay(plot(5),Areaplot)












;;;;;;;;;;;;;;;;;;;;;;;
;;;;;delta N2O GWP
  resL@tiYAxisString     = "Change in N~B1~2 O GWP [CO~B1~2 -equivalents]"
  resL@tmYLPrecision     = "3"  
  resL@tiXAxisString = "Change in temperature [K]"                            ;RF: axes title here!



Data14 = readAsciiTable("dN2OGWP_dT_1PCT_100.txt",3,"float",1)
X14=Data14(:,1)                                          ; (:,1) alle Zeilen, also :, zweite Spalte, also 1            
Y14=Data14(:,2)
;print(Y1)
R14= regline(X14,Y14)
;print(R1)
Z14   = new ( (/2,99/), typeof(Data14)) ;
Z14(0,:)=Y14
Z14(1,:)=R14*(X14-R14@xave) + R14@yave

plot(6)  = gsn_csm_xy (wks,X14,Z14,resL) ; create plot
dum = gsn_add_text(wks,plot(6),"y="+R14+"x",0.5,-20,Txres) 


;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;N2O GWP
  resR@tiYAxisString     = "N~B1~2 O GWP [CO~B1~2 -equivalents]"
  resR@tmYLPrecision     = "3" 
  resR@tiXAxisString = "Simulated years"                            ;RF: axes title here!
  delete(resR@trYMinF)
  delete(resR@trYMaxF)
  
  
Data2 = readAsciiTable("N2OGWP_1PCT_100.txt",2,"float",1)
X2=Data2(:,0)                                                                        ;time
Y2=Data2(:,1)      
;print(Y2)                                                                  ;values
Z2=new ( (/2,100/),"float" )
Z2(0,:)=Y2                                                                         
Z2(1,:)=DataF(:,4)                                                                            ;values calculated from temperature increase
;plot(7)  = gsn_csm_xy (wks,X2,Z2,resR)                ; create line plot  
plot(7)  = gsn_csm_xy (wks,X2,Y2,resR) 


Area8=new ( (/2,100/),"float" )
Area8(0,:)=DataFmin(:,4)
Area8(1,:)=DataFmax(:,4)
 
Areaplot = gsn_csm_xy (wks,X2,Area8(0:1,:),resA)

overlay(plot(7),Areaplot)












;;;;;;;;;;;;;;;;;;;;;;
;;;;;delta N2O Wm2
  resL@tiYAxisString     = "Change in N~B1~2 O radiative forcing [W m~S2~-2  ]"
  resL@tmYLPrecision     = "1"  
  resL@tiXAxisString = "Change in temperature [K]" 
  resL@tiXAxisFont = "21" 
  resL@trYMinF = -0.05
  

Data15 = readAsciiTable("dN2OWm2_dT_1PCT_100.txt",3,"float",1)
;Data1 = readAsciiTable("dN2OGWP_dT_1PCT_100.txt",3,"float",1)
X15=Data15(:,1)                                          ; (:,1) alle Zeilen, also :, zweite Spalte, also 1            
Y15=Data15(:,2)
;print(Y1)
R15= regline(X15,Y15)
;print(R1)
Z15   = new ( (/2,99/), typeof(Data11)) ;
Z15(0,:)=Y15
Z15(1,:)=R15*(X15-R15@xave) + R15@yave

;;;;;;;;;;;plot(8)  = gsn_csm_xy (wks,X15,Z15,resL) ; create plot         ;RF: ;
;;;;;;;dum = gsn_add_text(wks,plot(8),"y="+R15+"x",0.5,-0.03,Txres)       ;RF: ;


;;;;;;;;;;;;;;;;;;;;;
;;;;;N2O Wm2
  resR@tiYAxisString     = "N~B1~2 O radiative forcing [W m~S2~-2  ]"
  resR@tmYLPrecision     = "2" 
  resR@tiXAxisFont = "21"
  resR@tiXAxisString = "Simulated years" 

    
  
Data2 = readAsciiTable("WM2_1PCT_100.txt",2,"float",1)
;Data2 = readAsciiTable("N2OGWP_1PCT_100.txt",2,"float",1)
X2=Data2(:,0)                                                                        ;time
Y2=Data2(:,1)      
;print(Y2)                                                                  ;values
Z2=new ( (/2,100/),"float" )
Z2(0,:)=Y2                                                                         
Z2(1,:)=DataF(:,5)                                                                            ;values calculated from temperature increase
;plot(9)  = gsn_csm_xy (wks,X2,Z2,resR)                ; create line plot  
;;;;;;;;;plot(9)  = gsn_csm_xy (wks,X2,Y2,resR)                          ;RF: ;


Area10=new ( (/2,100/),"float" )
Area10(0,:)=DataFmin(:,5)
Area10(1,:)=DataFmax(:,5)
 
Areaplot = gsn_csm_xy (wks,X2,Area10(0:1,:),resA)

;;;;;;;;;;;;overlay(plot(9),Areaplot)                               ;RF: ;
     
res3=True
res3@gsnPanelDebug = True
;res3@gsnPanelXF = "0.335251,0.542081"      ;orig
res3@gsnPanelXF = (/0.29,0.51,0.29,0.51,0.29,0.51,0.29,0.51/)            ;RF: shortened
;res3@gsnPanelXF = (/0.33,0.51,0.33,0.51,0.33,0.51,0.33,0.51,0.33,0.51/)  
;res3@gsnPanelXF = (/0.33,0.5,0.33,0.5,0.33,0.5,0.33,0.5,0.33,0.5/)   ;RF: NOT!!! shortened; testing...
res3@gsnPanelFigureStrings = (/"a","e","b","f","c","g","d","h"/)   ;RF: adapted to 8 plots
res3@gsnPanelFigureStringsPerimOn = False
res3@gsnPanelFigureStringsFont = "21"
res3@gsnPanelFigureStringsFontHeightF = "0.01"
res3@amJust = "TopRight"
;res3@axislabelstyle = "individual"
res3@gsnMaximize = True
;res3@vpHeightF = 0.9
res3@gsnPanelBottom = 0.1

gsn_panel(wks,plot,(/4,2/),res3) ; (/Zeilen,Spalten/)            ;RF: test: just changing 5 to 4: funktioniert!
;dum = gsn_add_text(wks,plot(6),"y="+R1+"x",2,-0.5,Txres) 
;gsn_panel(wks,plotL,...
;gsn_panel(wks,plotR,...
;frame(wks)


end
